<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows</TargetFramework>
    <RootNamespace>StandardScene.Fass2Simulator</RootNamespace>
    <AssemblyName>StandardScene.Fass2Simulator</AssemblyName>
    <LangVersion>latest</LangVersion>
    <ImplicitUsings>disable</ImplicitUsings>
    <Nullable>disable</Nullable>
    <Deterministic>true</Deterministic>
    <UseWPF>true</UseWPF>
    <ApplicationIcon />
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="8.0.0" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="8.0.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.4" />
  </ItemGroup>

  <ItemGroup>
    <None Update="appsettings.json" CopyToOutputDirectory="PreserveNewest" />
    <None Update="appsettings.car2.json" CopyToOutputDirectory="PreserveNewest" />
    <None Update="sim-nodes.json" CopyToOutputDirectory="PreserveNewest" />
  </ItemGroup>

</Project>
